
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #215

Audacious shows bad length for some mp3s.

November 16, 2012 17:25 - first last

Status: Rejected Start date: November 16, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/mpg123 Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.2   

Description

For some mp3 files, audacious (3.3.2) will show the length as 27:03:11 on the GTK interface or 1623:11 on the Winamp interface. 

Totem (2.32.0 with gstreamer 0.10.36) shows the correct time for these files.

History

#1 - November 18, 2012 04:47 - John Lindgren

- Category set to plugins/mpg123

#2 - November 18, 2012 20:32 - John Lindgren

- Status changed from New to Rejected

Not a bug.  Look at a hex dump of the file and you will see the following:

000000e0  72 00 67 00 2f 00 29 00  54 4c 45 4e 00 00 00 09  |r.g./.).TLEN....|

000000f0  00 00 00 39 37 33 39 31  35 34 38 54 49 54 32 00  |...97391548TIT2.|

The ID3 tag contains a TLEN field set to 97391548 milliseconds, or 27:03:11.548 hh:mm:ss.  Audacious is reporting the length correctly.

#3 - November 28, 2012 11:32 - Phil Kasten

- File 03 - Under Your Radar.mp3 added

There really seems to be something to this issue (I am seeing it, too).  What is interesting is that the "correct" duration is reported by other tools, such

as totem.

Starting with a .flac file, I use the following command to create a .mp3:

ffmpeg -i some.flac -ab 256k some.mp3

Audacious shows the "incorrect" duration for some.mp3.  I tried to locate the TLEN value, but I didn't see one in a hex dump.  I have attached an

example mp3.

Audacious reports this as having a duration of 21:24.  Totem reports it as 2:40.

Launching audacious from bash, I see the following message:

Unknown tuple field name "encoder".
#4 - April 12, 2013 00:33 - Michael Schwendt

Is this file bad, too?

http://amigaremix.com/listen/2623/gibs%20-%20Cannon%20Fodder%20-%20Of%20Blood%20And%20Honor.mp3

 

Audacious madplug.so (based on libmpg123-1.15.1) displays a size of 0:01 whereas mpg123 shows 2:45 (and MC shows 02:45.85).

#5 - April 12, 2013 00:49 - Michael Schwendt

MC (Midnight Commander) runs "mpg123 -vtn1" on the file (which is verbose info, no audio output, only one frame) and then extracts the displayed

length:

$ mpg123 -vn1 gibs\ -\ Cannon\ Fodder\ -\ Of\ Blood\ And\ Honor.mp3 2>&1|grep Fra

Frame#     0 [ 6349], Time: 00:00.00 [02:45.85], RVA:   off, Vol: 100(100)

#6 - April 15, 2013 09:09 - Michael Schwendt

So, while the file from comment 3 also reports the wrong duration 21:24.15 when using mpg123 -tvn1 …, the one from comment 4 is a VBR track

where an implementation to determine the duration seems to be missing.

#7 - June 06, 2014 18:34 - abel thorne

I have a similar problem with some MP3 files too, although in my case Audacious reports the same wrong time in the GTK and Winamp interfaces.

E.g. 30:31 for a song that's 4:01 long.

The duration is correct in Totem and VLC. Properties in Nautilus file manager are right too.

You say it's not a bug because The ID3 tag is wrong (don't know if that's the same in my case but whatever). Well, maybe Audacious shouldn't rely on

random values in tags, then. Other softwares show the right duration, I don't understand why Audacious wouldn't read it the same way and display the

correct value.

Using Audacious 3.5 on Ubuntu 14.04.

#8 - October 17, 2014 23:52 - Bernhard Schülke

The problem still exists: Downloaded file in comment #3 and another mp3-file from the internet.

Version

Audacious: 3.5.1

Ubuntu 14.04 LTS

Deadbeaf shows the right length. If it's not bug: Netherless audacious could show the right length...

#9 - October 18, 2014 06:03 - John Lindgren

The fix for #441 should improve the situation in 3.6.
http://www.redmine.audacious-media-player.org/issues/3
http://www.redmine.audacious-media-player.org/issues/441


Files

audacious bad time.png 253 KBNovember 16, 2012 first last

audacious bad time 2.png 30.3 KBNovember 16, 2012 first last

Bagpipe Brony - Discord (vs. Eurobeat Brony).mp3 4.16 MBNovember 16, 2012 first last

03 - Under Your Radar.mp3 4.9 MBNovember 28, 2012 Phil Kasten
